Package com.google.web.bindery.requestfactory.shared.messages

## Interface ViolationMessage

-     public interface ViolationMessage

  Represents a ConstraintViolation.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `LEAF` |
    `static java.lang.String` | `MESSAGE` |
    `static java.lang.String` | `PATH` |
    `static java.lang.String` | `ROOT` |
    `static java.lang.String` | `TEMPLATE` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `IdMessage` | `getLeafBeanId()` |
    `java.lang.String` | `getMessage()` |
    `java.lang.String` | `getMessageTemplate()` |
    `java.lang.String` | `getPath()` |
    `IdMessage` | `getRootBeanId()` |
    `void` | `setLeafBeanId​(IdMessage id)` |
    `void` | `setMessage​(java.lang.String value)` |
    `void` | `setMessageTemplate​(java.lang.String value)` |
    `void` | `setPath​(java.lang.String value)` |
    `void` | `setRootBeanId​(IdMessage id)` |

- - ### Field Detail

    - #### LEAF

          static final java.lang.String LEAF

      See Also:
        Constant Field Values

    - #### MESSAGE

          static final java.lang.String MESSAGE

      See Also:
        Constant Field Values

    - #### PATH

          static final java.lang.String PATH

      See Also:
        Constant Field Values

    - #### ROOT

          static final java.lang.String ROOT

      See Also:
        Constant Field Values

    - #### TEMPLATE

          static final java.lang.String TEMPLATE

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getLeafBeanId

          @PropertyName("L")
          IdMessage getLeafBeanId()

    - #### getMessage

          @PropertyName("M")
          java.lang.String getMessage()

    - #### getMessageTemplate

          @PropertyName("T")
          java.lang.String getMessageTemplate()

    - #### getPath

          @PropertyName("P")
          java.lang.String getPath()

    - #### getRootBeanId

          @PropertyName("R")
          IdMessage getRootBeanId()

    - #### setLeafBeanId

          @PropertyName("L")
          void setLeafBeanId​(IdMessage id)

    - #### setMessage

          @PropertyName("M")
          void setMessage​(java.lang.String value)

    - #### setMessageTemplate

          @PropertyName("T")
          void setMessageTemplate​(java.lang.String value)

    - #### setPath

          @PropertyName("P")
          void setPath​(java.lang.String value)

    - #### setRootBeanId

          @PropertyName("R")
          void setRootBeanId​(IdMessage id)